Bug 789467 - Bugs found in gstreamer-python-0.10.19-2.fc15 using gcc-with-cpychecker
Bugs found in gstreamer-python-0.10.19-2.fc15 using gcc-with-cpychecker
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-python (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks: cpychecker
  Show dependency treegraph
 
Reported: 2012-02-10 15:38 EST by Dave Malcolm
Modified: 2013-02-13 11:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:28:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2012-02-10 15:38:59 EST
Description of problem:
I've been writing an experimental static analysis tool to detect bugs commonly occurring within C Python extension modules:
  https://fedorahosted.org/gcc-python-plugin/
  http://gcc-python-plugin.readthedocs.org/en/latest/cpychecker.html

I ran the latest version of the tool (in git master; post 0.9) on gstreamer-python-0.10.19-2.fc15.src.rpm (as seen in F16), and it reports a large number of errors.  Most of these appear to be genuine errors, some serious.

You can see a list of errors here, triaged into categories (from most significant to least significant):
http://people.fedoraproject.org/~dmalcolm/gcc-python-plugin/2012-02-10/gstreamer-python-0.10.19-2.fc15/

In particular, there appear to be serious issues for long-running processes that make repeated calls into certain methods (e.g. segfaults).

There may of course be bugs in my checker tool (e.g. it assumes that functions it doesn't know about return new refs, rather than borrowed refs), but a visual inspection of the high-priority categories suggests that it's correctly reporting these errors.

Version-Release number of selected component (if applicable):
gstreamer-python-0.10.19-2.fc15
Comment 1 Fedora End Of Life 2013-01-16 10:07:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 11:28:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.